Skip to main content
`Ctrl`+`K`

# MatSTRUMPACKSetReordering

Set STRUMPACK https://portal.nersc.gov/project/sparse/strumpack/master fill-reducing reordering

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatSTRUMPACKSetReordering(Mat F, MatSTRUMPACKReordering reordering)

Logically Collective

## Input Parameters

- F - the factored matrix obtained by calling `MatGetFactor()` from PETSc-STRUMPACK interface

- reordering - the code to be used to find the fill-reducing reordering

## Options Database Key

- -mat_strumpack_reordering - Sparsity reducing matrix reordering, see `MatSTRUMPACKReordering`

## See Also

`MATSOLVERSTRUMPACK`, Matrices, `Mat`, `MatSTRUMPACKReordering`, `MatGetFactor()`, `MatSTRUMPACKSetColPerm()`, `MatSTRUMPACKGetReordering()`

## Level

intermediate

## Location

src/mat/impls/aij/mpi/strumpack/strumpack.c

## Examples

src/ksp/ksp/tutorials/ex52.c

## Implementations

MatSTRUMPACKSetReordering_STRUMPACK() in src/mat/impls/aij/mpi/strumpack/strumpack.c

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages